# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename caniuse-db

Name:               nodejs-caniuse-db
Version:            1.0.30000349
Release:            2%{?dist}
Summary:            Raw browser/feature support data from caniuse.com

Group:              Development/Libraries
License:            CC-BY
URL:                https://www.npmjs.org/package/caniuse-db
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:      nodejs-packaging >= 6

%description
This repo contains raw data from the caniuse.com support tables. It servers
two purposes:

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/caniuse-db
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/caniuse-db

%nodejs_symlink_deps

%files
%doc README.md
%{nodejs_sitelib}/caniuse-db/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.30000349-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 26 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000349-1
- new version

* Thu Aug 27 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000279-1
- new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.30000177-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 23 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000177-1
- new version

* Sun May 17 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000165-1
- new version

* Mon May 04 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000156-1
- new version

* Sun Mar 22 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000101-1
- new version

* Fri Mar 20 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000099-1
- new version

* Thu Mar 19 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000096-1
- new version

* Wed Mar 18 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000094-1
- new version

* Tue Mar 17 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000093-1
- new version

* Thu Mar 12 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000090-1
- new version

* Fri Mar 06 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000086-1
- new version

* Wed Feb 25 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000081-1
- new version

* Sun Feb 22 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000079-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000078-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 1.0.30000077-1
- new version

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 1.0.20140717-1
- Latest upstream.
- Specify noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 1.0.20140702-1
- Initial packaging for Fedora.
